Package com.xebialabs.xlrelease.risk.domain.riskassessors

# Class RiskAssessor

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.risk.domain.riskassessors.RiskAssessor

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

Direct Known Subclasses:
  `PlanItemDueDateRiskAssessor`, `ReleaseFlaggedAtRiskAssessor`, `ReleaseFlaggedAttentionNeededRiskAssessor`, `ReleaseStatusFailedRiskAssessor`, `ReleaseStatusFailingRiskAssessor`, `TaskFlagRiskAssessor`, `TaskRetriesRiskAssessor`

@Metadata(versioned=false) public abstract class RiskAssessor extends BaseConfigurationItem

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `description`
  `protected String`
  `group`
  `protected String`
  `icon`
  `protected static final String`
  `OK_HEADLINE`
  `protected static final int`
  `OK_SCORE`
  `protected String`
  `order`
  `protected int`
  `score`
  `protected String`
  `title`
  `protected int`
  `weight`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RiskAssessor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract RiskAssessment`
  `execute(Release release, RiskProfile riskProfile)`
  `String`
  `getDescription()`
  `String`
  `getGroup()`
  `String`
  `getIcon()`
  `String`
  `getOrder()`
  `int`
  `getScore()`
  `String`
  `getTitle()`
  `int`
  `getWeight()`
  `void`
  `setDescription(String description)`
  `void`
  `setGroup(String group)`
  `void`
  `setIcon(String icon)`
  `void`
  `setOrder(String order)`
  `void`
  `setScore(int score)`
  `void`
  `setTitle(String title)`
  `void`
  `setWeight(int weight)`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### OK_SCORE

    protected static final int OK_SCORE
    See Also:
      - Constant Field Values

  - ### OK_HEADLINE

    protected static final String OK_HEADLINE
    See Also:
      - Constant Field Values

  - ### title

    @Property(description="The title of the risk assessor.") protected String title

  - ### description

    @Property(required=false, description="The description of the item.") protected String description

  - ### weight

    @Property(description="The weight of the assessor in the total calculation.") protected int weight

  - ### score

    @Property(description="Score given when assessor decides it needs scoring.", defaultValue="0") protected int score

  - ### order

    @Property(description="A value used for ordering the assessors within a risk profile.", defaultValue="100") protected String order

  - ### group

    @Property(description="Define a group to which this risk assessor belongs. Used for UI. Default is: Risk Assessors", defaultValue="Risk Assessors") protected String group

  - ### icon

    @Property(description="Define an icon for the risk assessor", defaultValue="") protected String icon

- ## Constructor Details

  - ### RiskAssessor

    public RiskAssessor()

- ## Method Details

  - ### execute

    public abstract RiskAssessment execute(Release release, RiskProfile riskProfile)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### getWeight

    public int getWeight()

  - ### setWeight

    public void setWeight(int weight)

  - ### getScore

    public int getScore()

  - ### setScore

    public void setScore(int score)

  - ### getOrder

    public String getOrder()

  - ### setOrder

    public void setOrder(String order)

  - ### getIcon

    public String getIcon()

  - ### setIcon

    public void setIcon(String icon)

  - ### getGroup

    public String getGroup()

  - ### setGroup

    public void setGroup(String group)